# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server.models.resource_configuration import ResourceConfiguration  # noqa: F401,E501
from swagger_server import util


class UpdateSimulationInput(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, traffic_profile_cardinality: int=None, gnb_number: int=None, updated_resource_configuration: ResourceConfiguration=None):  # noqa: E501
        """UpdateSimulationInput - a model defined in Swagger

        :param traffic_profile_cardinality: The traffic_profile_cardinality of this UpdateSimulationInput.  # noqa: E501
        :type traffic_profile_cardinality: int
        :param gnb_number: The gnb_number of this UpdateSimulationInput.  # noqa: E501
        :type gnb_number: int
        :param updated_resource_configuration: The updated_resource_configuration of this UpdateSimulationInput.  # noqa: E501
        :type updated_resource_configuration: ResourceConfiguration
        """
        self.swagger_types = {
            'traffic_profile_cardinality': int,
            'gnb_number': int,
            'updated_resource_configuration': ResourceConfiguration
        }

        self.attribute_map = {
            'traffic_profile_cardinality': 'traffic-profile-cardinality',
            'gnb_number': 'gnb-number',
            'updated_resource_configuration': 'updated-resource-configuration'
        }
        self._traffic_profile_cardinality = traffic_profile_cardinality
        self._gnb_number = gnb_number
        self._updated_resource_configuration = updated_resource_configuration

    @classmethod
    def from_dict(cls, dikt) -> 'UpdateSimulationInput':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The update-simulation-input of this UpdateSimulationInput.  # noqa: E501
        :rtype: UpdateSimulationInput
        """
        return util.deserialize_model(dikt, cls)

    @property
    def traffic_profile_cardinality(self) -> int:
        """Gets the traffic_profile_cardinality of this UpdateSimulationInput.


        :return: The traffic_profile_cardinality of this UpdateSimulationInput.
        :rtype: int
        """
        return self._traffic_profile_cardinality

    @traffic_profile_cardinality.setter
    def traffic_profile_cardinality(self, traffic_profile_cardinality: int):
        """Sets the traffic_profile_cardinality of this UpdateSimulationInput.


        :param traffic_profile_cardinality: The traffic_profile_cardinality of this UpdateSimulationInput.
        :type traffic_profile_cardinality: int
        """

        self._traffic_profile_cardinality = traffic_profile_cardinality

    @property
    def gnb_number(self) -> int:
        """Gets the gnb_number of this UpdateSimulationInput.


        :return: The gnb_number of this UpdateSimulationInput.
        :rtype: int
        """
        return self._gnb_number

    @gnb_number.setter
    def gnb_number(self, gnb_number: int):
        """Sets the gnb_number of this UpdateSimulationInput.


        :param gnb_number: The gnb_number of this UpdateSimulationInput.
        :type gnb_number: int
        """

        self._gnb_number = gnb_number

    @property
    def updated_resource_configuration(self) -> ResourceConfiguration:
        """Gets the updated_resource_configuration of this UpdateSimulationInput.


        :return: The updated_resource_configuration of this UpdateSimulationInput.
        :rtype: ResourceConfiguration
        """
        return self._updated_resource_configuration

    @updated_resource_configuration.setter
    def updated_resource_configuration(self, updated_resource_configuration: ResourceConfiguration):
        """Sets the updated_resource_configuration of this UpdateSimulationInput.


        :param updated_resource_configuration: The updated_resource_configuration of this UpdateSimulationInput.
        :type updated_resource_configuration: ResourceConfiguration
        """

        self._updated_resource_configuration = updated_resource_configuration
